claw::tween::easing_none Class Reference

Easing functions for the tweener. Those functions do nothing. More...

`#include <easing_none.hpp>`

## Static Public Member Functions

static double | ease_in (double t)
| Apply the easing at the beginning of the tweener.
static double | ease_out (double t)
| Apply the easing at the end of the tweener.
static double | ease_in_out (double t)
| Apply the easing at the beginning and the end of the tweener.

## Detailed Description

Easing functions for the tweener. Those functions do nothing.

Author
  Julien Jorge

Definition at line 40 of file easing_none.hpp.

## Member Function Documentation

## ease_in()

double claw::tween::easing_none::ease_in | ( | double | t | ) |

static

Apply the easing at the beginning of the tweener.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 37 of file easing_none.cpp.

## ease_in_out()

double claw::tween::easing_none::ease_in_out | ( | double | t | ) |

static

Apply the easing at the beginning and the end of the tweener.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 59 of file easing_none.cpp.

## ease_out()

double claw::tween::easing_none::ease_out | ( | double | t | ) |

static

Apply the easing at the end of the tweener.

Parameters

  t | The ratio of the date, in (0, 1), representing the total progression of the tweener.

Definition at line 48 of file easing_none.cpp.

The documentation for this class was generated from the following files:

- tween/easing/easing_none.hpp
- code/tween/easing/easing_none.cpp